[Mingw-users] __divmoddi4 missing from libgcc_s_dw2-1.dll

Anton Shepelev anton****@gmail*****
Sun Jan 12 02:34:20 JST 2020


Keith Marshall to Anton Shepelev:

> > To which MinGW package does this library belong?
>
> To the one I've already identified for you, in the snippet
> you've cited above.

Trying to reinstall mingw32-libgcc-dll fails with:

   install: libgcc-8.2.0-5-mingw32-dll-1.tar.xz
    installing libgcc-8.2.0-5-mingw32-dll-1.tar.xz
   mingw-get.exe: *** ERROR *** C:\MinGW\/bin/libgcc_s_dw2-1.dll: extraction failed
   mingw-get.exe: *** ERROR *** C:\MinGW\/bin/libgcc_s_dw2-1.dll: probable package conflict; existing file not overwritten

> However, it should have been downloaded, and installed, as
> a dependency of GCC-8.2.0, when you installed it through
> mingw-get.  Are you sure that you don't already have it,
> but your application is loading an obsolete version from
> some other location than where the new version has been
> installed?

Yes, I have only one copy of libgcc_s_dw2-1.dll on my entire
PC.  I think it was because of the error above that it was
never updated.



More information about the MinGW-Users mailing list